View Issue Details

IDProjectCategoryView StatusLast Update
0001137ScribusGraphics / Image Framespublic2019-05-22 09:39
Reporterandrae Assigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
Status acknowledgedResolutionopen 
PlatformallOSallOS Versionall
Product Version1.3 
Target VersionFuture Release - Nice to haveFixed in Version 
Summary0001137: More possibilities to choose text wrap and text flow around picture frames
DescriptionThere should be more possibilities to choose text wrap and text flow around picture frames like in Pagemaker. It should be possible to choose the amount of space on each four sides of a rectangular picture frame. Wrap options: text over image, text around image (image frame rectangular), text around image (imageframe polygonal): Text flow options: only above image, above and below image, around image.
TagsNo tags attached.
PatchNo

Relationships

related to 0003448 assignedjghali Improvements to properties palette 
has duplicate 0001326 closed Text wrapping arround pictures 
has duplicate 0003776 closedchristoph_s rectangular frames runaround needs more values 
has duplicate 0005987 closedchristoph_s Ability to specify outer margin for Image Frames 
has duplicate 0008275 closed Request for a simple way to add margin around a frame 
has duplicate 0008931 new No margins in graphic frames 
related to 0006148 acknowledged text flows around a picture below it 
child of 0003821 acknowledged Metabug: Usability 

Activities

2004-09-22 17:05

 

f32_text_wrap65.GIF (4,907 bytes)
f32_text_wrap65.GIF (4,907 bytes)

louisdesjardins

2004-11-02 14:33

developer   ~0002795

Same with text frame.
Would be useful to be able to set runaround values to a text frame within a text frame.

cbradney

2004-11-02 21:17

administrator   ~0002796

Yes, we will add more options, in the meantime, try turning on the contour line and editing it (edit shape under shape tab, select edit contour line).

louisdesjardins

2004-11-07 13:46

developer   ~0002804

Thanks Craig! Works OK.
If the Contour enlarge/reduce value could be not only set in percentage but also in absolute value, it would even work better.
For instance, for a square or near-square text/image frame, percentage is ok. When a rectangle, the contour gets wider on the shorter side.
Shift + mouse for constraining the angles to 90 degrees would be a nice addition (think I saw that somewhere else)!

deejay1

2004-11-08 12:58

developer   ~0002813

Is "text over image" really needed when Scribus has layer support? It would make life for first time users easier, but does the same thing as some properly set up layers...

PLucAuclair

2006-04-26 14:51

reporter   ~0010492

I'd say text over image is necessary even if we have layers. Not everyone works with layers, me first.

louisdesjardins

2006-04-26 16:04

developer   ~0010499

Agree too. Lots of people don't work with layers in layout apps.

christoph_s

2006-04-29 20:00

administrator   ~0010631

I agree with most of what has been said: Better control for runaround is needed.

As for text over image: it is possible without using layers, just by changing the stacking order (move text above the image in the hierarchy).

axelb

2006-08-31 08:09

reporter   ~0012382

Last edited: 2016-02-15 22:32

View 2 revisions

I would also second this.
Would it be possible to reuse the same tab as for the text, that is «Form»?
That way the working with images and text (and, as suggested here: Frames) would be consistent/the same and as such easier to be managed, to explain and to use :-)
The editing of the contourlines probably would have to be in this box too. But as i See a rewrite of this tool is scheduled anyway ... By the way: There already are some choiches for images here anyway, those for the floating of text around the frame/contour of the image).
References:
0003448
0001118
0003449

mhanski

2006-08-31 10:05

developer   ~0012383

changing the status to "acknowledged" (see cbradney's note)

louisdesjardins

2007-07-24 12:46

developer   ~0016858

Getting back from RMLL 2008 [ www.rmll.info ] and after having given Scribus workshops I can assure that one of the most asked feature or how-to was text runaround an image. Once left on their own, people want to achieve runaround. This is in the top 5 most asked questions.

I wonder whether we could give it a close look in the coming months (weeks?!) so we could really have a frame outset just like we have a frame inset in the Properties > Shape.

louisdesjardins

2010-06-25 02:10

developer   ~0024214

Ping.

gibsoneye

2010-07-22 01:42

reporter   ~0024364

Greetings folks! I'm brand new to Scribus (running it on WinXP), but not to page layout programs. A long, long time ago I used Quark on Macs quite heavily, and to a lesser extent, PageFaker and FrameMaker. One of the nice features of any DTP program is the text runaround settings for picture frames. I noticed immediately that Scribus didn't provide any explicit settings for this, so I googled "scribus and "text flow" and one of the results brought me here. Since it seems that a runaround setting may be a few releases away, I tried a quick experiment. I created one picture frame in the midst of a text frame, then created another picture frame, slighty smaller, and placed it inside the first one. I got a noticeably better looking "flow" of text. I realize this isn't exactly practical, but it may be worth the effort for someone who really, really wants some space between a graphic and surrounding text. Thanks for "listening" to me ramble.

Kunda

2016-03-03 13:23

manager   ~0038958

Last edited: 2016-03-03 13:24

View 2 revisions

Merging duplicate ticket 0008275 + adding summary below:
Any frame can have internal margin that can be set for each side. When text flows around frame is activated, the user has to do several action to set the margin between the text and this frame.
Text Flows around frame should have some options (may be at least one to set a uniform external margin or one for each side) that would replace the Contour Line option for most use cases.


enzogian

2019-05-05 21:27

reporter   ~0046181

wow, this is a must really. I can see this has been posted in 2004 and we are already in 2019 and such a feature is not possible yet, I mean, adding values for each one of the sides around.. (hope I am wrong but I am using version 1.5.4 and yet not available (?)
other great thing to have is the possibility to select multiple images and assigning the flow around values (as described before) to multiple selected images...
attached an example of inDesign panel where you can choose left-right-top-botton values.. I am more than sure you guys are aware but decided to give some feedback to this post in order to revive the discussion on this request... Thanks ;)

wrap-text-figure-2.jpg (73,564 bytes)
wrap-text-figure-2.jpg (73,564 bytes)

ale

2019-05-07 08:32

manager   ~0046184

when wrapping around images, you can set the amount of spaces around an image.

not in the same way as it is done in ID but it's is possible by growing the contour line...

being able to edit multiple items at the same time would be nice; it would be even nicer to have frame styles...

enzogian

2019-05-07 13:22

reporter   ~0046186

Editing the contour manually is something different from what is being proposed here, actually editing the contour is something that can be done just and only for each item individually. That's why we propose the numerical value for each side of the frames or even more other options (if possible)...
However, I've personally used the shape panel to edit contours but it does not seem to behave consistently when having to achieve precise results for the flowing text. I don't find it practical and finally, even though seeming related, is the feature exposed here.
PS: It does not have anything to do with ID ! even though images of PageMaker or ID' interfaces have been used for illustration purposes only of such a feature.

ale

2019-05-07 15:05

manager   ~0046187

... not sure i got what you are requesting... but scribus does allow you to grow the contour line by a given number of mm/pt/in or by a given percent.

of course it's not as good as having a padding on the frame, but it's not that bad either.

and with scribus you cannot apply formatting to multiple frames at once... not yet...

enzogian

2019-05-07 16:04

reporter   ~0046188

exactly you got it right, the effect cannot be applied to multiple frames at once. (editing manually the contour is very laborious when having huge amount of photos and text having to flow through them..)

the current interface to modify the contour line by numbers (units) is not very effective and honestly I have tested MANY times believe me and there is no way in which I can get used to how does behave in order to control those parameters in precise way every time I have to apply them..
there are not many video tutorials on youtube showing examples on how to control these variables successfully when having to flow text around frames...
if some of you know tutorials explaining this particular topic would be great sharing them in the support groups or forums etc... to see if we can get used to it in spite of being not so easy ...
PS: I can see this request has been posted and commented long ago, so I guess I am not the only one facing this difficulty or inconvenience or however might be called...

enzogian

2019-05-07 16:13

reporter   ~0046189

when you say not yet, does this mean is contemplated to future versions ? I mean the ability to apply flow values to multiple image frames ?

PS: the current panel interface to modify contour does not seem friendly or easy, is quite confusing but not sure if this might be related to habits of use that's why I ask if someone could gently share video tutorials to get used to the procedure on how to use the features and its possibilities...

thanks ;)

enzogian

2019-05-07 16:20

reporter   ~0046190

...and even though you can certainly (after finding out how) add numeric values to increase the space, it seems you can't control those values for each one of the sides (right-left-top-bottom) separately.. Unless you do manually through the nodes of the shape - which would not be a quite convenient procedure for some cases...

enzogian

2019-05-16 16:14

reporter  

pages6-7 example.pdf (318,524 bytes)

ale

2019-05-16 19:53

manager   ~0046224

there have been a few people who lately have been asking for being able to more easily set the padding around images.

while the current "node editing" (and the expanding) somehow do the job, they're not comfortable to use. i personally agree.

it should not be hard to add a property of the frame that defines the padding for rectangular images... but it's not trivial either. some good planning is needed to get the activation and deactivation of the feature right (as an example when the shape is not rectangular anymore).

finally, in a case like the one you're showing in the pdf i would pick one of two solution:

- duplicating an existing frame with its hand crafted padding or
- modify the shape of the text to get the flow right.

in your pdf, the flow looks ok, but in my experience, with complex contours, the flow tends to be screwed in a few corner cases and i tend to prefer modifying the frame's shape to get it right.

so, no solution yet... but who knows how the future will be?

enzogian

2019-05-22 09:39

reporter   ~0046249

Thanks ale, always very helpful support for each one of our mad requests I agree on the fact that each one might find useful or urgent a request others don't or sort out in other ways etc.. I perfectly understand.
Your tips are certainly can be certainly a solution if no alternative around. They would work indeed (the duplicating frame particularly) But I really I the future would come with many things improved or added in Scribus, I keep giving all my support in the ways I can (spreading the voice, promoting groups of discussion etc... fingers crossed, I cant wait to get rid or Windows on my PC
I am still using an old copy of Indesing in my pc for some jobs (getting on board already in one of them) and was doing templates in order to the complete transfer of my jobs in Scribus but started doing it them all in Scribus 1.5.4 with is not a stable release but now I can't get back to 1.4 since I need the rotating images inside frames that is in the 1.5.4 so I would wait for the 1.6 to keep doing my transfers to Scribus .. I am scared on starting a 100 pages glossy in the 1.5.4 cause if something is not stable I would find myself in the middle of the ocean after designing 10 pages or so already ...
I keep crossing fingers to see new releases soon and would try to catch up with forums new features tutorials etc
Take care and many thanks as always,
Enzo

Issue History

Date Modified Username Field Change
2004-09-22 17:05 andrae New Issue
2004-09-22 17:05 andrae File Added: f32_text_wrap65.GIF
2004-11-02 14:33 louisdesjardins Note Added: 0002795
2004-11-02 21:17 cbradney Note Added: 0002796
2004-11-07 13:46 louisdesjardins Note Added: 0002804
2004-11-08 12:58 deejay1 Note Added: 0002813
2004-11-19 23:04 cbradney Relationship added has duplicate 0001326
2006-04-12 12:12 mhanski OS => all
2006-04-12 12:12 mhanski OS Version => all
2006-04-12 12:12 mhanski Platform => all
2006-04-12 12:12 mhanski Product Version => 1.3.4cvs
2006-04-26 14:45 mhanski Product Version 1.3.4cvs => 1.3
2006-04-26 14:51 PLucAuclair Note Added: 0010492
2006-04-26 16:04 louisdesjardins Note Added: 0010499
2006-04-29 19:47 mhanski Status new => feedback
2006-04-29 20:00 christoph_s Note Added: 0010631
2006-08-31 08:09 axelb Note Added: 0012382
2006-08-31 08:11 axelb Note Edited: 0012382
2006-08-31 08:59 axelb Note Edited: 0012382
2006-08-31 09:56 mhanski Relationship added child of 0003821
2006-08-31 09:58 mhanski Relationship added related to 0003448
2006-08-31 10:05 mhanski Note Added: 0012383
2006-08-31 10:13 mhanski Status feedback => acknowledged
2006-12-06 18:21 christoph_s Relationship added has duplicate 0003776
2007-07-24 12:46 louisdesjardins Note Added: 0016858
2007-07-24 12:51 louisdesjardins Relationship added has duplicate 0005987
2007-08-24 19:27 ale Relationship added related to 0006148
2010-03-03 04:52 louisdesjardins Relationship added has duplicate 0008275
2010-03-14 22:30 louisdesjardins Relationship added has duplicate 0008931
2010-06-25 02:10 louisdesjardins Note Added: 0024214
2010-07-22 01:42 gibsoneye Note Added: 0024364
2015-09-17 20:10 Kunda Category Graphics / Image Frames => Graphics/Img Frames
2015-09-17 20:11 Kunda Category Graphics/Img Frames => Graphics / Image Frames
2016-02-15 22:32 Kunda Note Edited: 0012382 View Revisions
2016-03-03 13:23 Kunda Note Added: 0038958
2016-03-03 13:24 Kunda Note Edited: 0038958 View Revisions
2016-12-02 21:03 Kunda Target Version => Future Release - Nice to have
2016-12-02 21:03 Kunda Patch => No
2019-05-05 21:27 enzogian File Added: wrap-text-figure-2.jpg
2019-05-05 21:27 enzogian Note Added: 0046181
2019-05-07 08:32 ale Note Added: 0046184
2019-05-07 13:22 enzogian Note Added: 0046186
2019-05-07 15:05 ale Note Added: 0046187
2019-05-07 16:04 enzogian Note Added: 0046188
2019-05-07 16:13 enzogian Note Added: 0046189
2019-05-07 16:20 enzogian Note Added: 0046190
2019-05-16 16:14 enzogian File Added: pages6-7 example.pdf
2019-05-16 19:53 ale Note Added: 0046224
2019-05-22 09:39 enzogian Note Added: 0046249